Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.presentation
Class OdfSettingsElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.presentation.OdfSettingsElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfSettings

    public abstract class OdfSettingsElement

extends OdfElement

DOM implementation of OpenDocument element presentation:settings.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfSettingsElement(OdfFileDom aOwnerDoc)` Create the instance of OdfSettingsElement

Method Summary
`OdfShowElement` | `createShowElement(String name, String pages)` Create child element presentation:show.
`OdfAnimationsType` | `getAnimations()` Get value of attribute presentation:animations.
`OdfBoolean` | `getEndless()` Get value of attribute presentation:endless.
`OdfBoolean` | `getForceManual()` Get value of attribute presentation:force-manual.
`OdfBoolean` | `getFullScreen()` Get value of attribute presentation:full-screen.
`OdfBoolean` | `getMouseAsPen()` Get value of attribute presentation:mouse-as-pen.
`OdfBoolean` | `getMouseVisible()` Get value of attribute presentation:mouse-visible.
`OdfName` | `getOdfName()` Get the element name
`OdfDuration` | `getPause()` Get value of attribute presentation:pause.
`String` | `getShow()` Get value of attribute presentation:show.
`OdfBoolean` | `getShowEndOfPresentationSlide()` Get value of attribute presentation:show-end-of-presentation-slide.
`OdfBoolean` | `getShowLogo()` Get value of attribute presentation:show-logo.
`String` | `getStartPage()` Get value of attribute presentation:start-page.
`OdfBoolean` | `getStartWithNavigator()` Get value of attribute presentation:start-with-navigator.
`OdfBoolean` | `getStayOnTop()` Get value of attribute presentation:stay-on-top.
`OdfTransitionOnClickType` | `getTransitionOnClick()` Get value of attribute presentation:transition-on-click.
`void` | `setAnimations(OdfAnimationsType animations)` Set value of attribute presentation:animations.
`void` | `setEndless(OdfBoolean isEndless)` Set value of attribute presentation:endless.
`void` | `setForceManual(OdfBoolean isForceManual)` Set value of attribute presentation:force-manual.
`void` | `setFullScreen(OdfBoolean isFullScreen)` Set value of attribute presentation:full-screen.
`void` | `setMouseAsPen(OdfBoolean isMouseAsPen)` Set value of attribute presentation:mouse-as-pen.
`void` | `setMouseVisible(OdfBoolean isMouseVisible)` Set value of attribute presentation:mouse-visible.
`void` | `setPause(OdfDuration pause)` Set value of attribute presentation:pause.
`void` | `setShow(String show)` Set value of attribute presentation:show.
`void` | `setShowEndOfPresentationSlide(OdfBoolean isShowEndOfPresentationSlide)` Set value of attribute presentation:show-end-of-presentation-slide.
`void` | `setShowLogo(OdfBoolean isShowLogo)` Set value of attribute presentation:show-logo.
`void` | `setStartPage(String startPage)` Set value of attribute presentation:start-page.
`void` | `setStartWithNavigator(OdfBoolean isStartWithNavigator)` Set value of attribute presentation:start-with-navigator.
`void` | `setStayOnTop(OdfBoolean isStayOnTop)` Set value of attribute presentation:stay-on-top.
`void` | `setTransitionOnClick(OdfTransitionOnClickType transitionOnClick)` Set value of attribute presentation:transition-on-click.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfSettingsElement

    public OdfSettingsElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfSettingsElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element presentation:settings.

### getStartPage

    public String getStartPage()

  Get value of attribute presentation:start-page.

  Returns:
    return the attribute which type is String

### setStartPage

    public void setStartPage(String startPage)

  Set value of attribute presentation:start-page.

  Parameters:
    `startPage` - the attribute's type is String

### getShow

    public String getShow()

  Get value of attribute presentation:show.

  Returns:
    return the attribute which type is String

### setShow

    public void setShow(String show)

  Set value of attribute presentation:show.

  Parameters:
    `show` - the attribute's type is String

### getFullScreen

    public OdfBoolean getFullScreen()

  Get value of attribute presentation:full-screen.

  Returns:
    return the attribute which type is OdfBoolean

### setFullScreen

    public void setFullScreen(OdfBoolean isFullScreen)

  Set value of attribute presentation:full-screen.

  Parameters:
    `isFullScreen` - the attribute's type is OdfBoolean

### getEndless

    public OdfBoolean getEndless()

  Get value of attribute presentation:endless.

  Returns:
    return the attribute which type is OdfBoolean

### setEndless

    public void setEndless(OdfBoolean isEndless)

  Set value of attribute presentation:endless.

  Parameters:
    `isEndless` - the attribute's type is OdfBoolean

### getPause

    public OdfDuration getPause()

  Get value of attribute presentation:pause.

  Returns:
    return the attribute which type is OdfDuration

### setPause

    public void setPause(OdfDuration pause)

  Set value of attribute presentation:pause.

  Parameters:
    `pause` - the attribute's type is OdfDuration

### getShowLogo

    public OdfBoolean getShowLogo()

  Get value of attribute presentation:show-logo.

  Returns:
    return the attribute which type is OdfBoolean

### setShowLogo

    public void setShowLogo(OdfBoolean isShowLogo)

  Set value of attribute presentation:show-logo.

  Parameters:
    `isShowLogo` - the attribute's type is OdfBoolean

### getForceManual

    public OdfBoolean getForceManual()

  Get value of attribute presentation:force-manual.

  Returns:
    return the attribute which type is OdfBoolean

### setForceManual

    public void setForceManual(OdfBoolean isForceManual)

  Set value of attribute presentation:force-manual.

  Parameters:
    `isForceManual` - the attribute's type is OdfBoolean

### getMouseVisible

    public OdfBoolean getMouseVisible()

  Get value of attribute presentation:mouse-visible.

  Returns:
    return the attribute which type is OdfBoolean

### setMouseVisible

    public void setMouseVisible(OdfBoolean isMouseVisible)

  Set value of attribute presentation:mouse-visible.

  Parameters:
    `isMouseVisible` - the attribute's type is OdfBoolean

### getMouseAsPen

    public OdfBoolean getMouseAsPen()

  Get value of attribute presentation:mouse-as-pen.

  Returns:
    return the attribute which type is OdfBoolean

### setMouseAsPen

    public void setMouseAsPen(OdfBoolean isMouseAsPen)

  Set value of attribute presentation:mouse-as-pen.

  Parameters:
    `isMouseAsPen` - the attribute's type is OdfBoolean

### getStartWithNavigator

    public OdfBoolean getStartWithNavigator()

  Get value of attribute presentation:start-with-navigator.

  Returns:
    return the attribute which type is OdfBoolean

### setStartWithNavigator

    public void setStartWithNavigator(OdfBoolean isStartWithNavigator)

  Set value of attribute presentation:start-with-navigator.

  Parameters:
    `isStartWithNavigator` - the attribute's type is OdfBoolean

### getAnimations

    public OdfAnimationsType getAnimations()

  Get value of attribute presentation:animations.

  Returns:
    return the attribute which type is OdfAnimationsType

### setAnimations

    public void setAnimations(OdfAnimationsType animations)

  Set value of attribute presentation:animations.

  Parameters:
    `animations` - the attribute's type is OdfAnimationsType

### getTransitionOnClick

    public OdfTransitionOnClickType getTransitionOnClick()

  Get value of attribute presentation:transition-on-click.

  Returns:
    return the attribute which type is OdfTransitionOnClickType

### setTransitionOnClick

    public void setTransitionOnClick(OdfTransitionOnClickType transitionOnClick)

  Set value of attribute presentation:transition-on-click.

  Parameters:
    `transitionOnClick` - the attribute's type is OdfTransitionOnClickType

### getStayOnTop

    public OdfBoolean getStayOnTop()

  Get value of attribute presentation:stay-on-top.

  Returns:
    return the attribute which type is OdfBoolean

### setStayOnTop

    public void setStayOnTop(OdfBoolean isStayOnTop)

  Set value of attribute presentation:stay-on-top.

  Parameters:
    `isStayOnTop` - the attribute's type is OdfBoolean

### getShowEndOfPresentationSlide

    public OdfBoolean getShowEndOfPresentationSlide()

  Get value of attribute presentation:show-end-of-presentation-slide.

  Returns:
    return the attribute which type is OdfBoolean

### setShowEndOfPresentationSlide

    public void setShowEndOfPresentationSlide(OdfBoolean isShowEndOfPresentationSlide)

  Set value of attribute presentation:show-end-of-presentation-slide.

  Parameters:
    `isShowEndOfPresentationSlide` - the attribute's type is OdfBoolean

### createShowElement

    public OdfShowElement createShowElement(String name,
                                            String pages)

  Create child element presentation:show.

  Parameters:
    `name` - String
    `pages` - String
  Returns:
    return the element presentation:show

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.